aboutsummaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2011-07-13 14:31:36 -0700
committerJunio C Hamano <gitster@pobox.com>2011-07-13 14:31:36 -0700
commit6389a79dd4327333dd157a866dc99ebe7136d753 (patch)
treeb6f7aa8293df547c299ee6159931bc3ebdcd20ad /t
parentff968f03e6951e8ee84cfb923f8905296286134a (diff)
parentb7d878075e751859ff344c8334ae016228676c4d (diff)
downloadgit-6389a79dd4327333dd157a866dc99ebe7136d753.tar.gz
git-6389a79dd4327333dd157a866dc99ebe7136d753.tar.xz
Merge branch 'jc/no-gitweb-test-without-cgi-etc'
* jc/no-gitweb-test-without-cgi-etc: t/gitweb-lib.sh: skip gitweb tests when perl dependencies are not met
Diffstat (limited to 't')
-rw-r--r--t/gitweb-lib.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/t/gitweb-lib.sh b/t/gitweb-lib.sh
index 143eb1f24..292753f77 100644
--- a/t/gitweb-lib.sh
+++ b/t/gitweb-lib.sh
@@ -107,4 +107,9 @@ perl -MEncode -e '$e="";decode_utf8($e, Encode::FB_CROAK)' >/dev/null 2>&1 || {
test_done
}
+perl -MCGI -MCGI::Util -MCGI::Carp -e 0 >/dev/null 2>&1 || {
+ skip_all='skipping gitweb tests, CGI module unusable'
+ test_done
+}
+
gitweb_init